-- CookingRef data
-- coding: utf-8 'ä

--[[
Fields: N=name, T=type, L=level, F=facility, R=recipe, X=XP, E=effects, CL=tier, W=Worth
	I=ingredients, C=crit, c=crit%, H=cooldown hrs, Q=quantity, G=guild , B=base, D=Dur.
Types: B=barter, D=decoration, E=essence, G=guild, I=ingredient, J=junk, O=opt., 
		R=recipe, S=LOTRO store, T=tool, U=usable, X=disenchantable
Sources: B=barter, C=cooking, F=farming, H=harvesting, M=metalsmith,
	O=Scholar, Q=quest, V=vendor
Uses: c=cooked, d=drink, f=fortifying, p=pet, o=other, t=trail,
	r=reputation, s=strong drink, k=kit, m="minstrel
Harvesting: f=fish, w=wood, c=crop
Facility: C=campfire, O=oven, S=supreme oven
Guild: 	r=relic, f=faction, I=ingredient
Recipe: T=trainer, G=Guild, F=Faction, Q=quest, L=loot
]]--
Ctype = { B="Barter", D="Decoration", E="Essence", G="Guild", I="Ingredient", 
	J="Junk", O="Optional ingredient", Q="Quest", R="Recipe", S="Scroll", 
	T="Cooking Tool", U="Usable", X="Disenchantable" }
Rtype = { B="Barter", F="Faction", G="Guild", L="Loot", Q="Quest", T="Trainer",
	V="Vendor", ["1"]="1-Use" }
Gtype = { r="reputation", l="LI relic" }
Utype = { c="cooked food", d="fine drink", f="fortifying food", p="pet food", o="other",
	r="reputation", s="strong drink", k="camp-fire kit", m="minstrel", t="trail food" }
Src = { B="Barter", C="Cook", F="Farmer", f="Fishing", H="Harvest", L="Loot",
	M="Metalsmith", O="Scholar", Q="Quest", S="Supplier", V="Vendor", W="Forester" }
Fac = { N="None", C="Camp-fire", O="Oven", S="Superior Oven" }
Stat = { A="Agility", F="Fate", M="Might", V="Vitality", W="Will", R="Run speed", L="Lg. item adv",
	Im="In-Combat Morale", Ip="In-Combat Power", Nm="Non-combat Morale", Np="Non-combat Power" }

OI = { "1AC64","1AC69","1AC68","1AC5F","1AC71","1AC6B","279EB",
	"2ED6D","369F1","44488","4E99A","4E99A","534F4","5D50B","675D7" } -- Opt ingr.

Farm = { 7, 7, 7, 12, 12, 12, 45, 50, 57, 32, 36, 40, 40, 47, 47 } -- average cost by tier

-- Index of cooking tiers
Tier = { "Apprentice", "Journeyman", "Expert", "Artisan", "Master", 
	"Supreme", "Westfold", "Eastemnet", "Westemnet", "Anorien", 
	"Doomfold", "Ironfold", "Minas Ithil", "Gandabad", "Umbari" }

-- Map of inconsistant recipe names for item names
map = {
	["Raspberry Filling"] = "Raspberry Pie Filling",
	["Strawberry Filling"] = "Strawberry Pie Filling",
	["Tasty Frosting"] = "Cup of Tasty Frosting",
	["Marinated Beef"] = "Cut of Marinated Beef",
	["Winter Barley Flour"] = "Cup of Winter Barley Flour",
	["Blackberry Jam"] = "Jar of Blackberry Jam",
	["Mint Sauce"] = "Jar of Mint Sauce",
	["Mashed Royal Taters"] = "Bowl of Mashed Royal Taters",
	["Marinated Chicken Cutlets"] = "Marinated Chicken Cutlet",
	["Superior Hard Tack Rations"] = "Superior Hard Tack Ration",
	["Superior Toad in the Hole"] = "Superior Toad-in-the-Hole",
	["Superior Apple and Cheese Pies"] = "Superior Apple and Cheese Pie",
	["Hearty Stock"] = "Bowl of Hearty Stock",
	["Apprentice Cook Expertise"] = "Destroyed Apprentice Expertise Token",
	["Journeyman Cook Expertise"] = "Destroyed Journeyman Expertise Token",
	["Expert Cook Expertise"] = "Destroyed Expert Expertise Token",
	["Artisan Cook Expertise"] = "Destroyed Artisan Expertise Token",
	["Master Cook Expertise"] = "Destroyed Master Expertise Token",
	["Supreme Cook Expertise"] = "Destroyed Supreme Expertise Token",
	["Westfold Cook Expertise"] = "Destroyed Westfold Expertise Token",
	["Eastement Cook Expertise"] = "Destroyed Eastemnet Expertise Token",
	["Cup of Superior Second Breakfast Blend Coffee"] = "Cup of Superior Second Breakfast Blend Coffee (x10)",
	["Superior Eastemnet Coffee"] = "Superior Eastemnet Coffee (x10)",
	["Dagorlad Provisions"] = "Bundle of Dagorlad Provisions",
	["Fish Fillets (Dace)"] = "Pair of Fish Fillets",
	["Wild Essence - Vitality"] = "Wild Essence of Ithilien",
	}

Prefix = { ["Fish Fillets ("] = "Pair of Fish Fillets",
	["Wild Essence -"] = "Wild Essence of Ithilien",
	["Large Bundle o"] = "Bundle of Dagorlad Provisions",
	["24-month Erebo"] = "24-month Erebor Ham",
}

Zone = { Bl="Bree-land", S="the Shire", EL="Erid Luin", ND="North Downs",
	Ll="Lone-lands", T="Trollshaws", MM="Misty Mountains", Ev="Evendim",
	Et="Ettenmoors", F="Forochel", Er="Eregion", L="Lothlorien",
	En="Enedwaith", M="Moria", A="Amgmar", D="Dunland", W="Wildermore",
	SM="Southern Mirkwood", GR="Great River", ER="East Rohan", WR="West Rohan", 
	WG="Western Gondor", CG="Central Gondor", EG="East Gondor", OA="Old Anorien",
	MK="March of the King", tW="the Wastes", St="Strongholds", Dh="Dwarf-holds", 
	MV="Morgul Vale", MB="Mordor Besieged", VA="Vales of Anduin", Es="Elderslade", 
	Gb="Gundabad", Y="Yondershire", Sf="Swanfleet", KG="King's Gondor",
	OG="Outer Gondor", CU="Cape of Umbar", ZT="Zirer Tarka",
	}
Rname = { Rhovanion=2, ["Tales of Yore"]=2, Gondor=3, Mordor=4, Haradwaith=5 } -- Eriador=1
Region = { Dh=2, ER=2, Es=2, Gb=2, GR=2, L=2, M=2, SM=2, St=2, WR=2, VA=2, 
	CG=3, EG=3, OA=3, WG=3, MB=4, MK=4, MV=4, tW=4, KG=4, OG=4, CU=5, ZT=5, }

-- Cooking Facility locations
FacLoc = {
	{F="OC", Z="EL", N="Thorin's Gate", B="Thorin's Hall", L="13.7s,103.2w"},
	{F="OC", Z="EL", N="Thorin's Gate", B="Crafting Hall", L="15.1s,103.5w"},
	{F="OC", Z="EL", N="Gondamon", L="20.1s,97.1w"},
	{F="OC", Z="EL", N="Duillond", L="24.1s,93.2w"},
	{F="OC", Z="EL", N="Celondim", L="28.2s,92.8w"},
	{F="SOC",Z="S",  N="Michel Delving", L="34.6s,75.5w"},
	{F="OC", Z="S",  N="Party Tree", L="29.6s,71.6w"},
	{F="OC", Z="S",  N="Bywater", L="32.0s,69.7w"},
	{F="OC", Z="S",  N="Budgeford", L="31.4s,66.2w"},
	{F="OC", Z="S",  N="Brockenborings", L="27.6s,68.2w"},
	{F="C", Z="S",  N="Waymeet", L="33.0s,73.1w"},
	{F="C", Z="S",  N="Overhill", L="28.1s,69.8w"},
	{F="C", Z="Bl", N="Archet - Hunting Lodge", L="24.8s,46.9w"},
	{F="OC", Z="Bl", N="Comb", B="Crafting Hall", L="28.8s,48.6w"},
	{F="OC", Z="Bl", N="Staddle", L="31.0s,49.3w"},
	{F="SOC",Z="Bl", N="Bree", B="Crafting Hall", L="30.5s,51.0w"},
	{F="OC", Z="Bl", N="Bree", B="Mess Hall", L="30.5s,51.2w"},
	{F="OC", Z="Bl", N="Bree", L="29.6s,52.3w"},
	{F="C", Z="Bl", N="Bree - Beggar's Alley", L="31.1s,52.4w"},
	{F="OC", Z="Bl", N="Bree", L="31.8s,50.6w"},
	{F="C", Z="Bl", N="Adso's Camp", L="29.1s,56.8w"},
	{F="OC", Z="Ll", N="Ost Guruth", L="31.0s,29.8w"},
	{F="C", Z="Ll", N="Ost Guruth", L="31.3s,29.7w"},
	{F="OC", Z="Sf", N="Lhan Garan", L="54.9s,27.3w"},
	{F="SOC", Z="Y", N="Nobottle", L="26.2s,78.7w"},
	{F="C", Z="ND", N="Trestlebridge", L="17.9s,53.8w"},
	{F="OC", Z="ND", N="Esteldin", B="Crafting Hall", L="9.7s,40.5w"},
	{F="C", Z="ND", N="Esteldin", L="9.7s,40.6w"},
	{F="C", Z="ND", N="Othrikar", L="7.1s,45.1w"},
	{F="OC", Z="Ev", N="Oatbarton", L="22.9s,66.6w"},
	{F="OC", Z="Ev", N="Tinnudir", L="11.9s,67.8w"},
	{F="OC", Z="Ev", N="Ost Forod", L="7.4s,64.1w"},
	{F="C", Z="T",  N="Barachen's Camp", L="34.0s,20.2w"},
	{F="C", Z="T",  N="Bruin Gorges", L="33.2s,16.4w"},
	{F="C", Z="T",  N="Thorengad", L="31.5s,15.1w"},
	{F="C", Z="T",  N="Echad Candelleth", L="37.2s,13.9w"},
	{F="C", Z="T",  N="Rivendell", B="Last Homely House", L="29.8s,3.4w"},
	{F="OC", Z="A",  N="Aughaire", L="0.8n,39.9w"},
	{F="OC", Z="F",  N="Suri-kyla", B="Great Lodge", L="19.5s,72.0w"},
	{F="C", Z="Er", N="Gwingris", L="40.1s,16.0w"},
	{F="C", Z="Er", N="Echad Dunann", L="50.5s,7.9w"},
	{F="C", Z="Er", N="Echad Mirobel", L="52.4s,16.7w"},
	{F="SOC",Z="M",  N="Twenty-first Hall",B="Crafting Hall",L="5.4s,104.9w"},
	{F="C", Z="L",   N="Echad Andestel", L="14.2s,73.0w"},
	{F="SOC",Z="L",  N="Caras Galadhon", B="Crafting Hall", L="15.5s,67.7w"},
	{F="SOC",Z="L", N="Vinyards of Lorien", L="18.6s,63.8w"},
	{F="C", Z="SM", N="Echad Sirion", L="15.1s,61.5w"},
	{F="C", Z="SM", N="Estolad Mernael", L="16.8s,64.8w"},
	{F="SOC",Z="SM", N="Ost Galach", B="Crafting Hall", L="14.5s,51.1w"},
	{F="C", Z="SM", N="Mithechad", L="17.5s,48.2w"},
	{F="C", Z="SM", N="Helethir", L="16.1s,44.4w"},
	{F="C", Z="En", N="Echad Dagoras", L="58.6s,14.7w"},
	{F="C", Z="En", N="Gavar Cadlus", L="61.8s,14.1w"},
	{F="C", Z="En", N="Echad Saeradan", L="63.8s,17.5w"},
	{F="C", Z="En", N="Hall of Sanctuary", L="72.1s,16.1w"},
	{F="SOC",Z="En", N="Lhanuch", B="Hall of Making", L="66.5s,74.2w"},
	{F="SOC",Z="D",  N="Galtev", B="Crafting Hall", L="79.9s,17.0w"},
	{F="SOC",Z="GR", N="Stangard", L="26.5s,63.5w"},
	{F="SOC",Z="GR", N="Etheburg", L="31.3s,52.1w"},
	{F="C",  Z="ER", N="Harwick", L="39.7s,53.0w"},
	{F="SOC",Z="ER", N="Harwick", B="Crafting Hall", L="39.4s,53.1w"},
	{F="SOC",Z="ER", N="Elthengels", L="48.6s,52.8w"},
	{F="SOC",Z="ER", N="Cliving", L="43.6s,57.0w"},
	{F="SOC",Z="ER", N="Eaworth", L="47.2s,63.9w"},
	{F="SOC",Z="ER", N="Eaworth", B="Mead Hall", L="47.7s,64.0w"},
	{F="SOC",Z="ER", N="Hytbold", L="56.7s,56.8w"},
	{F="SOC",Z="ER", N="Snowbourn", L="60.9s,61.9w"},
	{F="SOC",Z="ER", N="Forlaw", B="Crafting Hall", L="38.8s,60.6w"},
	{F="SOC",Z="WR", N="Aldburg", B="Crafting Hall", L="69.3s,64.9w"},
	{F="SOC",Z="WR", N="Edoras", L="60.7s,74.3w"},
	{F="SOC",Z="WG", N="Calembel", L="67.3s,55.9w"},
	{F="SOC",Z="WG", N="Dol Amroth", L="74.4s,71.2w"},
	{F="SOC",Z="CG", N="Ethring", L="72.2s,50.2w"},
	{F="SOC",Z="CG", N="Linhir", L="80.8s,45.0w"},
	{F="SOC",Z="CG", N="Pelargir", L="83.6s,34.4w"},
	{F="SOC",Z="EG", N="Arnach", L="77.3s,24.4w"},
	{F="SOC",Z="EG", N="Arnach", L="76.3s,24.1w"},
	{F="SOC",Z="OA", N="Crithost", L="54.6s,16.2w"},
	{F="SOC",Z="OA", N="Minas Tirith", L="67.0s,18.3w"},
	{F="SOC",Z="MK", N="Minas Tirith(AB)", L="67.0s,18.3w"},
	{F="SOC",Z="EG", N="Bâr Húrin", L="72.6s,12.7w"},
	{F="SOC",Z="tW", N="Camp of the Host", L="40.1s,9.9w"},
	{F="SOC",Z="St", N="Dale", L="24.9n,25.7w"},
	{F="C",  Z="Dh", N="Dôm Goru", L="33.1n,38.6w"},
	{F="SOC",Z="Dh", N="Skarhald", B="The Keep of Tharrazhâ", L="36.5n,46.4w"},
	{F="C",  Z="Dh", N="Skald's Drop", L="21.2n,15.7w"},
	{F="SOC",Z="Dh", N="Jarnfast", B="Járnfast", L="28.5n,3.5w"},
	{F="SOC",Z="VA", N="Beorninghús", L="13.5n,53.5w"},
	{F="SOC",Z="MV", N="Estolad Lân", L="64.7s,2.1w"},
	{F="SOC",Z="MB", N="Adambel", L="98.6s,126.5w"},
	{F="SOC",Z="Es", N="Annâk-khurfu", B="Annâk-khurfu", L="32.8s,61.2w"},
	{F="SOC",Z="Gb", N="Zidir-nesad", B="Hall of Vérnoza", L="45.5s,114.8w"},
	{F="SOC",Z="KG", N="The Harlond", L="72.7s,19.8w"},
	{F="SOC",Z="KG", N="Arnach(KG)", L="76.3s,24.1w"},
	{F="SOC",Z="KG", N="Arnach(KG)", L="77.3s,24.3w"},
	{F="SOC",Z="KG", N="Pelargir(KG)", L="83.4s,31.9w"},
	{F="SOC",Z="KG", N="Ethring(KG)", L="72.2s,50.2w"},
	{F="SOC",Z="KG", N="Calembel(KG)", L="67.3s,55.9w"},
	{F="SOC",Z="KG", N="Dol Amroth(KG)", L="74.4s,71.2w"},
	{F="C",	 Z="KG", N="Sardol", L="61.0s,69.5w"},
	{F="SOC",Z="OG", N="Melgobas", L="69.2s,77.7w"},
	{F="SOC",Z="OG", N="Lond Cirion", L="70.3s,89.2w"},
	{F="SOC",Z="OG", N="Ost Arndír", L="52.7s,84.9w"},
	{F="SOC",Z="CU", N="Jax Phanâl", L="14.1s,113.8w"},
	{F="SOC",Z="CU", N="Umbar Baharbêl", L="18.6s,99.1w"},
	{F="SOC",Z="CU", N="Umbar Baharbêl", L="17.9s,98.1w"},
	{F="SOC",Z="CU", N="Umbar Baharbêl", L="20.5s,97.8w"},
	{F="SOC",Z="CU", N="Umbar Baharbêl", L="20.5s,96.5w"},
	{F="SOC",Z="ZT", N="Halrax", L="9.8s,125.7w"},
	{F="SOC",Z="ZT", N="Mâr Naphra", L="4.0s,130.8w"},
	}

Quest = {
	{Z="S", A="Michel Delving", QL=1, N="Blossom Proudfoot", L="34.6S,75.5W",
		Q="Introduction to Cooking", I={["20B81"]=1,["032ED"]=1} },
	{Z="S", A="Michel Delving", QL=10, N="Ned Diggins", L="33.8S,74.5W",
		Q="The Great Pie Crust Robbery/Ned in a Pickle", I={["0334A"]=2} },
	{Z="S", A="Overhill", QL=10, N="Crocus Stonybanks", L="28.2S,70.0W",
		Q="Camping Preparations", I={["04858"]=2} },
	{Z="S", A="Frogmorton", QL=10, N="Odo Mudbottom", L="31.9S,68.1W",
		Q="Mudbottom's High Standards", I={["005F3"]=2} },
	{Z="EL", A="Gondamon", QL=10, N="Ingi Steambeard", L="20.1S,97.0W",
		Q="Steambeard's Hungry Work", I={["005B5"]=2,["032ED"]=2} },
	{Z="Bl", A="Bree", QL=15, N="Seward Proudfoot", L="29.8S,51.4W",
		Q="Seward Proudfoot's First Breakfast", I={["005F5"]=5,["032ED"]=5} },
	{Z="S", A="Michel Delving", QL=1, N="Jewel Underhill", L="34.6S,75.5W",
		Q="Artisan Cook", I={["03370"]=1,["20BBA"]=1,["03373"]=1} },
	{Z="W", A="Forlaw", QL=85, N="Hildelith", L="39.3S,60.8W",
		Q="Warming Winter Stew", I={["35AA4"]=1} },
	}
	
import "Vinny.CookingRef.CookingRef_Data"
