-- CookingRef recipe find window handler

local All = "<All>"
local labelFont = Turbine.UI.Lotro.Font.TrajanPro14
local foreColor = Turbine.UI.Color( 0.9, 0.9, 0 )
local backColor = Turbine.UI.Color( 0.0, 0.0, 0.0 )
local Button = Turbine.UI.Lotro.Button
local Label = Turbine.UI.Label
local TextBox = Turbine.UI.TextBox
local CheckBox = Turbine.UI.Lotro.CheckBox
local DropMenu = Vinny.Common.DropMenu
local Item = Turbine.UI.Lotro.ShortcutType.Item
local Quickslot = Turbine.UI.Lotro.Quickslot
local Qsize = 36
local Guild,Raw = false,false
local Rlist,Rname = { }, { }
for c,name in pairs(Rtype) do
	table.insert(Rlist,name)
	Rname[name] = c
end
table.sort(Rlist)

CRR_Window = class( Turbine.UI.Lotro.Window )

function CRR_Window:AddField(control, text, pos, size)
	local field = control()
	field:SetParent( self )
	if text then field:SetText( text ) end
	field:SetPosition( pos.x,pos.y )
	field:SetSize( size.x,size.y )
	if control==Button or control==DropMenu or not text then return field end
	field:SetFont( labelFont )
	field:SetForeColor( foreColor )
	field:SetBackColor( backColor )
	field:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft )
	return field
end

function CRR_Window:Constructor()
	Turbine.UI.Lotro.Window.Constructor( self )

	-- Position the window near the top center of the screen.
	self:SetSize( 235,160 )
	local ws,w = Turbine.UI.Display.GetWidth()-245, CR_window:GetWidth()+10
	local x,y = CR_window:GetPosition()
	x = x + (x+w < ws and w or -245)	-- position on right?
	self:SetPosition( x,y )
	self:SetText( "Recipe Find" )

	-- Create a description label
	local field = self:AddField(Label, "Find recipe scrolls to learn:", {x=31,y=35}, {x=190,y=16} )
	field:SetFont( Turbine.UI.Lotro.Font.Verdana14 )
	field:SetForeColor( Turbine.UI.Color(1,1,1) )

	-- Create a Tier label and menu
	self:AddField(Label, "Tier:", {x=30,y=62}, {x=40,y=16} )
	self.tierMenu = self:AddField(DropMenu, All, {x=70,y=60}, {x=120,y=20} )
	self.tierMenu.Menu.Click = function( )
		self.tierMenu:BuildMenu(Tier,nil,All)
	end

	-- Create a Type field and menu
	self:AddField(Label, "Type:", {x=30,y=87}, {x=40,y=16} )
	self.typeMenu = self:AddField(DropMenu, All, {x=70,y=85}, {x=120,y=20} )
	self.typeMenu.Menu.Click = function( )
		self.typeMenu:BuildMenu(Rlist,nil,All)
	end

	-- Create a Find button
	self.baseButton = self:AddField(Button,"Find Recipes",{x=75,y=120},{x=110,y=20} )
	self.baseButton.Click = function( sender,args )
		local tier,lvl = self.tierMenu:GetText()
		for l,name in pairs(Tier) do
			if tier==name then lvl = l break end
		end
		local src = Rname[self.typeMenu:GetText()]
		if not checked and not Check(false) then return end
		local t = "any"
		if lvl then t = Tier[lvl] end
		if src then t = (lvl and t.." " or "")..Rtype[src] end
		printc(Green,"Finding "..t.." recipes unknown by "..pname..":")
		local px,pt = CR_User[pname], CR_User[0][pname]
		List = {}
		local n = 0
        for id,item in pairs(CR_Data) do
			local s = item.T:sub(2,2)
			if item.T:sub(1,1)=="R" and (not src or src==s) then
				local bitem = CR_Data[item.B]
				if bitem and bitem.B then bitem = CR_Data[bitem.B] end
				if bitem and (not lvl and bitem.CL<=pt or lvl==bitem.CL) then
					local u = CR_User[item.B or id]
					if not u or not u:find(px,1,true) then
						n = n+1
						printf(xlink.." (%s)",id,item.N,Rtype[s])
						table.insert(List,id)
					end
				end
			end
        end
		print("Found "..n.." unlearned recipes.")
		Next = next(List)
        CR_window:SetVisible( true )
		CR_window.nextButton:SetEnabled( Next~=nil )
    	return
	end

end

CRR_window = CRR_Window()
