-- CookingRef stats find window handler

local labelFont = Turbine.UI.Lotro.Font.TrajanPro14
local foreColor = Turbine.UI.Color( 0.9, 0.9, 0 )
local backColor = Turbine.UI.Color( 0.0, 0.0, 0.0 )
local Grey = Turbine.UI.Color( 0.2, 0.2, 0.2 )
local White = Turbine.UI.Color( 0.9, 0.9, 0.9 )
local Button = Turbine.UI.Lotro.Button
local Label = Turbine.UI.Label
local TextBox = Turbine.UI.Lotro.TextBox
local CheckBox = Turbine.UI.Lotro.CheckBox
local DropMenu = Vinny.Common.DropMenu
local Item = Turbine.UI.Lotro.ShortcutType.Item
local Slist,Sname = { }, { }
for c,name in pairs(Stat) do
	table.insert(Slist,name)
	Sname[name] = c
end
table.sort(Slist)


CRS_Window = class( Turbine.UI.Lotro.Window )

function CRS_Window:AddField(control, text, pos, size)
	local field = control()
	field:SetParent( self )
	if text then field:SetText( text ) end
	field:SetPosition( pos.x,pos.y )
	field:SetSize( size.x,size.y )
	if control==Button or control==DropMenu or not text then return field end
	field:SetFont( labelFont )
	field:SetForeColor( foreColor )
	field:SetBackColor( backColor )
	field:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft )
	return field
end

function CRS_Window:Constructor()
	Turbine.UI.Lotro.Window.Constructor( self )

	-- Position the window near the top center of the screen.
	self:SetSize( 240,160 )
	local ws,w = Turbine.UI.Display.GetWidth()-240, CR_window:GetWidth()+10
	local x,y = CR_window:GetPosition()
	x = x + (x+w < ws and w or -240)	-- position on right?
	self:SetPosition( x,y )
	self:SetText( "Food Stats" )

	-- Create a level field
	self:AddField(Label, "Max Level:", {x=31,y=45}, {x=100,y=16} )
	self.level = self:AddField(TextBox, plevel, {x=110,y=45}, {x=35,y=16} )
	self.level:SetForeColor( White )

	-- Create a Stat label and menu
	self:AddField(Label, "Stat:", {x=25,y=77}, {x=40,y=16} )
	self.statMenu = self:AddField(DropMenu, '', {x=60,y=75}, {x=160,y=20} )
	self.statMenu.Menu.action = function( ) self.findButton:SetEnabled(true) end
	self.statMenu.Menu.Click = function( )
		self.statMenu:BuildMenu( Slist )
	end

	-- Create a Find button
	self.findButton = self:AddField(Button,"Find Food",{x=65,y=110},{x=110,y=20} )
	self.findButton:SetEnabled(false)
	self.findButton.Click = function( sender,args )
		local lvl = tonumber(self.level:GetText())
		if not lvl or lvl<1 or lvl>Max_lvl then
			printe("Invalid level.")
			return
		end
		local sname = self.statMenu:GetText()
		local sc = Sname[sname]
		printc(Green,"Finding food to boost "..sname.." @ level "..lvl..":")
		List,Val = {}, {}
		local nr = 0
        for id,item in pairs(CR_Data) do
			if item.S and item.S:find(sc) then
				local l = item.B and CR_Data[item.B].L or item.L
				if (not l or l<=lvl) then
					for n,s in item.S:gmatch("(%d+)(%u%l?)") do
						if sc==s then
							nr = nr+1
							Val[id] = tonumber(n)
							table.insert(List,id)
						end
					end
				end
			end
        end
		table.sort(List,function (a,b) return Val[a]>Val[b] end)
		local word = List[11] and "Top 10 of " or "Found "
		List[11] = nil
		for i,id in ipairs(List) do
			local item = CR_Data[id]
			local u =  "<rgb=#FF0000> u</rgb> "
			if CR_User[id] or item.B and CR_User[item.B] then u = "" end
			printf(xlink.." (+%d/%dm)%s",id,item.N,Val[id],item.D,u)
		end
		print(word..nr.." food items.")
		Next = next(List)
        CR_window:SetVisible( true )
		CR_window.nextButton:SetEnabled( Next~=nil )
    	return
	end

end

CRS_window = CRS_Window()
